﻿Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub

    Private phoneAppService As PhoneApplicationService = PhoneApplicationService.Current

    Private Sub myTextBox_TextChanged(ByVal sender As Object, ByVal e As TextChangedEventArgs)
        phoneAppService.State("MyValue") = myTextBox.Text
    End Sub

    Private Sub PhoneApplicationPage_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Dim myValue As New Object
        If phoneAppService.State.ContainsKey("MyValue") Then
            If phoneAppService.State.TryGetValue("MyValue", myValue) Then
                myTextBox.Text = myValue.ToString()
            End If
        End If
    End Sub

End Class
